summaryrefslogtreecommitdiff
path: root/debian/tests/cve-2019-14541
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2022-11-12 19:40:07 +0200
committerIgor Pashev <pashev.igor@gmail.com>2022-11-12 19:40:07 +0200
commitec8187a4616115a2eec8d97a8ca81b0aa7dc9542 (patch)
tree121f930c2004d722bfbde0ff453549a9de135b3b /debian/tests/cve-2019-14541
downloadgnucobol4-debian-ec8187a4616115a2eec8d97a8ca81b0aa7dc9542.tar.gz
Import gnucobol4_4.0~early~20200606-6
Diffstat (limited to 'debian/tests/cve-2019-14541')
-rwxr-xr-xdebian/tests/cve-2019-1454121
1 files changed, 21 insertions, 0 deletions
diff --git a/debian/tests/cve-2019-14541 b/debian/tests/cve-2019-14541
new file mode 100755
index 0000000..77f56fd
--- /dev/null
+++ b/debian/tests/cve-2019-14541
@@ -0,0 +1,21 @@
+#!/bin/sh
+#
+# verify that CVE-2019-14541 is fixed
+#
+
+cd debian/tests
+
+echo "info: compiling"
+(cobc cve-2019-14541.cob > $AUTOPKGTEST_TMP/cve-2019-14541.act 2>&1)
+
+echo "info: running"
+cmp -s cve-2019-14541.exp $AUTOPKGTEST_TMP/cve-2019-14541.act
+res=$?
+if [ $res = 0 ] ; then
+ echo "success: cve-2019-14541 produced proper results"
+else
+ echo "error: cve-2019-14541 did not produce proper results"
+ diff -u cve-2019-14541.exp $AUTOPKGTEST_TMP/cve-2019-14541.act
+fi
+
+exit $res